Bug 28979 - Aktualisierung ocfs2-tools
Aktualisierung ocfs2-tools
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Kernel
UCS 3.0
Other Linux
: P5 normal (vote)
: UCS 3.2
Assigned To: Moritz Muehlenhoff
Felix Botner
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-30 14:51 CET by Moritz Muehlenhoff
Modified: 2013-11-19 06:43 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Moritz Muehlenhoff univentionstaff 2012-10-30 14:51:10 CET
In 3.1 wurde der Kernel auf 3.2.30 aktualisiert. Dafür werden vorr. auch aktualisierte ocfs2-tools benötigt.
Comment 1 Moritz Muehlenhoff univentionstaff 2013-05-31 10:44:24 CEST
We will not ship a UCS 3.1-2 release; the next UCS release will be UCS 3.2.

As such, this bug is moved to the new target milestone.
Comment 2 Moritz Muehlenhoff univentionstaff 2013-09-10 14:34:25 CEST
No upstream fix available yet
Comment 3 Moritz Muehlenhoff univentionstaff 2013-10-11 11:42:33 CEST
ocsf2-tools was updated to version 1.6.4 from Debian unstable (plus an additional buildfix and some backport fixes, the cman/pacemaker clustering packages wered dropped since they would involve more invasive bugfixes and they're not needed anyway).
Comment 4 Felix Botner univentionstaff 2013-10-23 12:05:38 CEST
I'm not sure if the ocfs2-tools make much sense without ocfs2-tools-cman and ocfs2-tools-pacemaker but ok

but the init script are missing too in ocfs2-tools and without them setting up ocfs2 is nearly impossible
Comment 5 Moritz Muehlenhoff univentionstaff 2013-10-23 14:12:00 CEST
(In reply to Felix Botner from comment #4)
> I'm not sure if the ocfs2-tools make much sense without ocfs2-tools-cman and
> ocfs2-tools-pacemaker but ok

The update is neeed to ensure that OCFS volumes can still be mounted on a UCS system with the new 3.10 kernel.

We don't provide the full HA stack to host a OCFS2 HA setup on UCS (and this would be out of focus, more likely a solution provided through the App Center by a partner)

> but the init script are missing too in ocfs2-tools and without them setting
> up ocfs2 is nearly impossible

Fixed.
Comment 6 Felix Botner univentionstaff 2013-10-23 14:55:51 CEST
i got those warnings

ocfs2-tools (1.6.4-2.10.201310231359) wird eingerichtet ...
update-rc.d: warning: o2cb start runlevel arguments (2 3 4 5) do not match LSB Default-Start values (S)
update-rc.d: warning: o2cb stop runlevel arguments (0 1 6) do not match LSB Default-Stop values (0 6)
update-rc.d: warning: ocfs2 start runlevel arguments (2 3 4 5) do not match LSB Default-Start values (S)
update-rc.d: warning: ocfs2 stop runlevel arguments (0 1 6) do not match LSB Default-Stop values (0 6)

but the runlevel links exists


-> file /etc/rc6.d/K20o2cb 
/etc/rc6.d/K20o2cb: symbolic link to `../init.d/o2cb'
-> file /etc/rc6.d/K20ocfs2 
/etc/rc6.d/K20ocfs2: symbolic link to `../init.d/ocfs2'
-> file /etc/rc2.d/S20o2cb 
/etc/rc2.d/S20o2cb: symbolic link to `../init.d/o2cb'
-> file /etc/rc2.d/S20ocfs2 
/etc/rc2.d/S20ocfs2: symbolic link to `../init.d/ocfs2'

apart from that, it works

* added "O2CB_ENABLED=true" to /etc/default/o2cb
* added /etc/ocfs2/cluster.conf
   node:
        ip_port = 7788
        ip_address = 10.200.7.51
        number = 1
        name = slave
        cluster = ocfs2
   cluster:
        node_count = 1
        name = ocfs2

-> /etc/init.d/o2cb start
Loading filesystem "configfs": OK
Mounting configfs filesystem at /sys/kernel/config: OK
Loading stack plugin "o2cb": OK
Loading filesystem "ocfs2_dlmfs": OK
Mounting ocfs2_dlmfs filesystem at /dlm: OK
Setting cluster stack "o2cb": OK
Starting O2CB cluster ocfs2: OK
root@slave:~# /etc/init.d/o2cb status
Driver for "configfs": Loaded
Filesystem "configfs": Mounted
Stack glue driver: Loaded
Stack plugin "o2cb": Loaded
Driver for "ocfs2_dlmfs": Loaded
Filesystem "ocfs2_dlmfs": Mounted
Checking O2CB cluster ocfs2: Online
Heartbeat dead threshold = 31
  Network idle timeout: 30000
  Network keepalive delay: 2000
  Network reconnect delay: 2000
Checking O2CB heartbeat: Not active

-> mkfs.ocfs2 -b 4k -C 32K -L "MyOCFS2Cluster" -N 4 /dev/vda2 
mkfs.ocfs2 1.6.4
Cluster stack: classic o2cb
Label: MyOCFS2Cluster
Features: sparse backup-super unwritten inline-data strict-journal-super xattr
Block size: 4096 (12 bits)
Cluster size: 32768 (15 bits)
Volume size: 536870912 (16384 clusters) (131072 blocks)
Cluster groups: 1 (tail covers 16384 clusters, rest cover 16384 clusters)
Extent allocator size: 4194304 (1 groups)
Journal size: 16777216
Node slots: 4
Creating bitmaps: done
Initializing superblock: done
Writing system files: done
Writing superblock: done
Writing backup superblock: 0 block(s)
Formatting Journals: done
Growing extent allocator: done
Formatting slot map: done
Formatting quota files: done
Writing lost+found: done
mkfs.ocfs2 successful

-> mount /dev/vda2 /mnt/

-> mount| grep vda2
/dev/vda2 on /mnt type ocfs2 (rw,_netdev,heartbeat=local)

-> /etc/init.d/o2cb status
Driver for "configfs": Loaded
Filesystem "configfs": Mounted
Stack glue driver: Loaded
Stack plugin "o2cb": Loaded
Driver for "ocfs2_dlmfs": Loaded
Filesystem "ocfs2_dlmfs": Mounted
Checking O2CB cluster ocfs2: Online
Heartbeat dead threshold = 31
  Network idle timeout: 30000
  Network keepalive delay: 2000
  Network reconnect delay: 2000
Checking O2CB heartbeat: Active
Comment 7 Moritz Muehlenhoff univentionstaff 2013-10-23 15:28:23 CEST
(In reply to Felix Botner from comment #6)
> i got those warnings
> 
> ocfs2-tools (1.6.4-2.10.201310231359) wird eingerichtet ...
> update-rc.d: warning: o2cb start runlevel arguments (2 3 4 5) do not match
> LSB Default-Start values (S)
> update-rc.d: warning: o2cb stop runlevel arguments (0 1 6) do not match LSB
> Default-Stop values (0 6)
> update-rc.d: warning: ocfs2 start runlevel arguments (2 3 4 5) do not match
> LSB Default-Start values (S)
> update-rc.d: warning: ocfs2 stop runlevel arguments (0 1 6) do not match LSB
> Default-Stop values (0 6)
> 
> but the runlevel links exists

These should be harmless, this package is a backport of a modern dh rules file to our rather old debhelper which only provides compat level 8. I think we can leave that as is.
Comment 8 Felix Botner univentionstaff 2013-10-23 15:45:26 CEST
OK - ocfs2-tools version:1.6.4-2
OK - changelog
Comment 9 Stefan Gohmann univentionstaff 2013-11-19 06:43:22 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".